using System;
using System.IO;

namespace Sample
{
	class Test
	{
		
		static void Main(string[] args)
		{

			//Convert Text to RTF in memory
			//If you need more information about HTML-to-RTF Pro DLL .Net email us at:
			//support[at]sautinsoft.com		
			SautinSoft.HtmlToRtf h = new SautinSoft.HtmlToRtf();
			//After purchasing the license, please insert your serial number here to activate the component
			//h.Serial = "XXXXXXXXXXXXXXX";

			//set some options
			h.PageStyle.PageSize.Letter();
            h.PageStyle.PageMarginLeft.Mm(20f);

			string text="";
			string rtf="";

			//1. Read contents of Text document
			text = ReadFileString(@"..\..\..\..\..\..\Testing HTMLs\Document.txt");

			//1.5 Set that input format is Text
			h.InputFormat = SautinSoft.HtmlToRtf.eInputFormat.Text;
			
			//2. Convert Text to RTF in memory			
			rtf = h.ConvertString(text);
			
			if(rtf!="")
			{
				//3. Save to RTF document
				int ret = WriteToFile(@"..\..\..\..\..\..\Testing HTMLs\Word document.rtf",rtf);
				if (ret==0)
					System.Diagnostics.Process.Start(@"..\..\..\..\..\..\Testing HTMLs\Word document.rtf");
			}
		}
		public static string ReadFileString(string path)
        {
            FileStream fo = new FileStream(path, FileMode.Open, FileAccess.Read, FileShare.Read);
            byte[] bHtmlIn = new byte[((int)fo.Length)];
            try
            {
                fo.Read(bHtmlIn, 0, (int)fo.Length);
                fo.Close();
                char[] arCharRes = new char[bHtmlIn.Length];
                for (int i = 0; i < bHtmlIn.Length; i++)
                {
                    arCharRes[i] = (char)bHtmlIn[i];
                }
                return new string(arCharRes);
            }
            catch
            {
                return "";
            }
        }
		public static int WriteToFile(string fileName, string contents)
		{
			try
			{
				StreamWriter sw = new StreamWriter(fileName);
				sw.Write(contents);
				sw.Close();				
			}
			catch
			{
				return 2;
			}
			return 0;
		}

	}
}
