using System;
using System.IO;

namespace Sample
{
	class Test
	{
		
		static void Main(string[] args)
		{

			//Merge two RTF documents in memory
			//If you need more information about HTML-to-RTF Pro DLL .Net email us at:
			//support[at]sautinsoft.com			
			SautinSoft.HtmlToRtf h = new SautinSoft.HtmlToRtf();
			//After purchasing the license, please insert your serial number here to activate the component
			//h.Serial = "XXXXXXXXXXXXXXX";
			
			string firstRtf="";
			string secondRtf="";
			string singleRtf="";

			//1. Read contents of the RTF files
			firstRtf=ReadFileString(@"d:\report1.rtf");
			secondRtf=ReadFileString(@"d:\report2.rtf");			

			//Merge two RTF strings in memory and get a new single RTF string			
			singleRtf = h.MergeRtfString(firstRtf, secondRtf);
			
			// singleRtf contains merged RTF document or empty string in case of merging failed
			if(singleRtf!="")
			{
				
				int ret=WriteToFile(@"d:\single.rtf",singleRtf);
				if (ret==0)
					System.Diagnostics.Process.Start(@"d:\single.rtf");
			}
		}
		public static string ReadFileString(string path)
		{	
			using (StreamReader reader = new StreamReader(path))
			{				
				return reader.ReadToEnd();
			}

		}
		public static int WriteToFile(string fileName, string contents)
		{
			try
			{
				StreamWriter sw = new StreamWriter(fileName);
				sw.Write(contents);
				sw.Close();				
			}
			catch
			{
				return 2;
			}
			return 0;
		}

	}
}
