Imports System
Imports System.IO
Imports System.Text

Module Module1
    Sub Main()
        'Set page size and margins in RTF document
        'If you need more information about HTML-to-RTF Pro DLL .Net email us at:
        'support[at]sautinsoft.com
        Dim h As New SautinSoft.HtmlToRtf
		'After purchasing the license, please insert your serial number here to activate the component
		'h.Serial = "XXXXXXXXXXXXXXX"

        'Let's set page size A3, landscape orientation and all margins in 1 inch
        h.PageStyle.PageSize.A3()
        h.PageStyle.PageMarginTop.Inch(1.0F)
        h.PageStyle.PageMarginRight.Inch(1.0F)
        h.PageStyle.PageMarginBottom.Inch(1.0F)
        h.PageStyle.PageMarginLeft.Inch(1.0F)
        h.PageStyle.PageOrientation.Landscape()

        'convert HTML file to RTF file
        Dim ret As Integer = h.ConvertFile("..\..\..\..\..\Testing HTMLs\UTF-8 Sampler.htm", "..\..\..\..\..\..\Testing HTMLs\Word document.rtf")

        '0 - converting successfully
        '1 - can't open input file or URL, check the input path
        '2 - can't create output file, check the output path
        '3 - converting failed
        If ret = 0 Then
            'Show produced RTF file
            System.Diagnostics.Process.Start("..\..\..\..\..\Testing HTMLs\Word document.rtf")
        End If
    End Sub
End Module
