using System;
using System.IO;

namespace Sample
{
	class Test
	{
		
		static void Main(string[] args)
		{

			//Convert HTML string RTF file
			SautinSoft.HtmlToRtf h = new SautinSoft.HtmlToRtf();
			//After purchasing the license, please insert your serial number here to activate the component
			//h.Serial = "XXXXXXXXXXXXXXX";

			string html = "";
			string pathRtf = @"..\..\..\..\..\..\Testing HTMLs\Word document.rtf";
			string pathHtml = @"..\..\..\..\..\..\Testing HTMLs\UTF-8 Sampler.htm";

			//1. Read contents of HTML document
			html = ReadFileString(pathHtml);

			//Set 'BaseUrl' that component can find a full path to .css and images
			h.BaseURL = System.IO.Path.GetDirectoryName(System.IO.Path.GetFullPath(pathHtml));

			//2. Convert HTML string to RTF file
			int ret = h.ConvertStringToFile(html, pathRtf);
			
			// 0 - converting successfully
			// 1 - can't open input file or URL, check the input path
			// 2 - can't create output file, check the output path
			// 3 - converting failed
			if(ret==0 )
			{
				//Show produced RTF file
				System.Diagnostics.Process.Start(pathRtf);
			}

		}
		public static string ReadFileString(string path)
        {
            FileStream fo = new FileStream(path, FileMode.Open, FileAccess.Read, FileShare.Read);
            byte[] bHtmlIn = new byte[((int)fo.Length)];
            try
            {
                fo.Read(bHtmlIn, 0, (int)fo.Length);
                fo.Close();
                char[] arCharRes = new char[bHtmlIn.Length];
                for (int i = 0; i < bHtmlIn.Length; i++)
                {
                    arCharRes[i] = (char)bHtmlIn[i];
                }
                return new string(arCharRes);
            }
            catch
            {
                return "";
            }
        }
	}
}
