using System;
using System.IO;

namespace Sample
{
	class Test
	{
		
		static void Main(string[] args)
		{

			//Convert HTML to Text in memory
			//If you need more information about HTML-to-RTF Pro DLL .Net email us at:
			//support[at]sautinsoft.com			
			SautinSoft.HtmlToRtf h = new SautinSoft.HtmlToRtf();
			//After purchasing the license, please insert your serial number here to activate the component
			//h.Serial = "XXXXXXXXXXXXXXX";

			//set output format as ansi text
			h.OutputFormat = SautinSoft.HtmlToRtf.eOutputFormat.TextAnsi;			

			string html="";
			string text="";

			//1. Read contents of HTML document
			html = ReadFileString(@"..\..\..\..\..\..\Testing HTMLs\text1.htm");

			//2. Convert HTML to Text in memory			
			text = h.ConvertString(html);
			
			if(text!="")
			{
				//3. Save to Text file
				int ret = WriteToFile(@"..\..\..\..\..\..\Testing HTMLs\Document.txt",text);
				if (ret==0)
					System.Diagnostics.Process.Start(@"..\..\..\..\..\..\Testing HTMLs\Document.txt");
			}
		}
		public static string ReadFileString(string path)
		 {	
			 using (StreamReader reader = new StreamReader(path))
			 {				
				 return reader.ReadToEnd();
			 }

		 }
		public static int WriteToFile(string fileName, string contents)
		{
			try
			{
				StreamWriter sw = new StreamWriter(fileName);
				sw.Write(contents);
				sw.Close();				
			}
			catch
			{
				return 2;
			}
			return 0;
		}

	}
}
