Imports System
Imports System.IO
Imports System.Text

Module Module1
    Sub Main()
        'Convert Text file to RTF file
        'If you need more information about HTML-to-RTF Pro DLL .Net email us at:
        'support[at]sautinsoft.com
        Dim h As New SautinSoft.HtmlToRtf
		'After purchasing the license, please insert your serial number here to activate the component
		'h.Serial = "XXXXXXXXXXXXXXX"

        'set that input file has Text format 
        h.InputFormat = SautinSoft.HtmlToRtf.eInputFormat.Text

        'set some converting options
        'set page size as Letter
        h.PageStyle.PageSize.Letter()
        'set left margin 20 mm
        h.PageStyle.PageMarginLeft.Mm(20.0F)

        'convert Text file to RTF file
        Dim ret As Integer = h.ConvertFile("..\..\..\..\..\Testing HTMLs\Document.txt", "..\..\..\..\..\Testing HTMLs\Word document.rtf")

        '0 - converting successfully
        '1 - can't open input file or URL, check the input path
        '2 - can't create output file, check the output path
        '3 - converting failed
        If ret = 0 Then
            'Show produced RTF file
            System.Diagnostics.Process.Start("..\..\..\..\..\Testing HTMLs\Word document.rtf")
        End If
    End Sub
End Module
