Imports System
Imports System.IO
Imports System.Text

Module Module1
    Sub Main()
        'Convert Text to RTF in memory
        'If you need more information about HTML-to-RTF Pro DLL .Net email us at:
        'support[at]sautinsoft.com		
        Dim h As New SautinSoft.HtmlToRtf
		'After purchasing the license, please insert your serial number here to activate the component
		'h.Serial = "XXXXXXXXXXXXXXX"

        'set some options
        h.PageStyle.PageSize.Letter()
        h.PageStyle.PageMarginLeft.Mm(20.0F)

        Dim text As String = ""
        Dim rtf As String = ""

        '1. Read contents of Text document
        text = ReadFromFile("..\..\..\..\..\Testing HTMLs\Document.txt")

        '1.5 Set that input format is Text
        h.InputFormat = SautinSoft.HtmlToRtf.eInputFormat.Text

        '2. Convert Text to RTF in memory			
        rtf = h.ConvertString(text)

        If rtf <> "" Then
            '3. Save to RTF document
            Dim ret As Integer = WriteToFile("..\..\..\..\..\Testing HTMLs\Word document.rtf", rtf)
            If ret = 0 Then
                System.Diagnostics.Process.Start("..\..\..\..\..\Testing HTMLs\Word document.rtf")
            End If
        End If
    End Sub
    Public Function ReadFromFile(ByVal fileName As String) As String

        Dim fileString As String = ""
        Try
            Dim fs As System.IO.FileStream = New FileStream(fileName, FileMode.Open, FileAccess.Read, FileShare.Read)
            Dim b(CInt(Fix(fs.Length)) - 1) As Byte
            If fs.Read(b, 0, CInt(Fix(fs.Length))) > 0 Then
                Dim arCharRes(fs.Length - 1) As Char
                For i As Integer = 0 To fs.Length - 1
                    arCharRes(i) = ChrW(b(i))
                Next i
                fileString = New String(arCharRes)
            End If
            fs.Close()
            Return fileString
        Catch
            Return ""
        End Try
    End Function
    Public Function WriteToFile(ByVal fileName As String, ByVal fileStr As String) As Integer
        Try
            Dim sw As New StreamWriter(fileName, False)
            sw.Write(fileStr)
            sw.Close()
        Catch
            Return 2
        End Try
        Return 0
    End Function
End Module
